For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
            • GETList Email Templates
            • GETGet Email Template
            • PUTUpdate Template
            • DELDelete Email Template Override
        • Pages
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentEmail Templates

Update Template

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/marketing/email-templates/:template-name
PUT
/stores/:store_hash/v3/marketing/email-templates/:template-name
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/marketing/email-templates/template-name \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "type_id": "account_reset_password_email",
> "body": "<!DOCTYPE html> <html lang=\"en\"> <head> <meta charset=\"UTF-8\"> <title>Title</title> </head> <body> <p> {{lang \"reset_password\" name=store.name}} </p> <br/> <br/> <a href=\"{{account.reset_password_link}}\"> {{account.reset_password_link}} </a> </body> </html>",
> "translations": [
> {
> "locale": "en",
> "keys": {
> "reset_password": "To change your customer account password at {{name}} please click this link or copy and paste it into your browser:"
> }
> }
> ],
> "subject": "Reset your password at {{store.name}}"
>}'
1{
2 "data": {
3 "type_id": "account_reset_password_email",
4 "body": "<!DOCTYPE html> <html lang=\"en\"> <head> <meta charset=\"UTF-8\"> <title>Title</title> </head> <body> <p> {{lang \"reset_password\" name=store.name}} </p> <br/> <br/> <a href=\"{{account.reset_password_link}}\"> {{account.reset_password_link}} </a> </body> </html>",
5 "translations": [
6 {
7 "locale": "en",
8 "keys": {
9 "reset_password": "To change your customer account password at {{name}} please click this link or copy and paste it into your browser:"
10 }
11 }
12 ],
13 "subject": "Reset your password at {{store.name}}"
14 },
15 "meta": {}
16}

Update a global template or create a channel-specific email template override.

Was this page helpful?
Previous

Get Email Template

Next

Delete Email Template Override

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

template-namestringRequired
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

channel_idintegerOptional

Channel ID to use for channel-specific settings. If omitted, you will interact with the global setting only.

Request

type_idenumOptional
bodystringOptional
translationslist of objectsOptional
A collection of locale translations for the static language.
subjectstringOptional

Response

OK
dataobject
Data for a particular email template
metaobject
Response metadata.

Errors

400
Bad Request Error

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.